### Method

# Lfb GdbusFeedback call_end_feedback

#### Declaration [src]

    void
    lfb_gdbus_feedback_call_end_feedback (
      LfbGdbusFeedback* proxy,
      guint arg_id,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously invokes the EndFeedback() D-Bus method on `proxy`. When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see g_main_context_push_thread_default()). You can then call `lfb_gdbus_feedback_call_end_feedback_finish()` to get the result of the operation.

See `lfb_gdbus_feedback_call_end_feedback_sync()` for the synchronous, blocking version of this method.

This method completes asynchronously. Use `lfb_gdbus_feedback_call_end_feedback_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`arg_id`

  Type: `guint`

  Argument to pass with the method invocation.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied or `NULL`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.